ru.bitel.bgbilling.modules.inet.runtime

## Class InetOptionRuntime

- java.lang.Object
- - ru.bitel.bgbilling.modules.inet.runtime.InetOptionRuntime

-     public class InetOptionRuntime
      extends java.lang.Object

  Опция `InetOption` с подготовленным конфигом и дополнительными параметрами.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ParameterMap` | `config` Конфигурация опции без наследования параметров.
    `java.util.Set<java.lang.Integer>` | `descendantIds`
    `int` | `id` Id опции.
    `ParameterMap` | `inheritedConfig` Конфигурация опции с наследованием параметров.
    `int` | `parentId` Id родительской опции.
    `java.util.Set<java.lang.Integer>` | `replaceIds` Если у родительской опции не стоит режим "пересечение разрешено" (за исключением опций первого уровня), то здесь находятся id всех сиблингов.
    `java.util.Set<java.lang.Integer>` | `siblingIds`
    `java.lang.String` | `title` Название опции.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetOptionRuntime(int parentId, InetOption option, ParameterMap config, ParameterMap inheritedConfig, java.util.Set<java.lang.Integer> siblingIds, java.util.Set<java.lang.Integer> replaceIds)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetOptionRuntime` | `getParent()` Родительская опция
    `java.util.Map<java.lang.String,java.lang.String>` | `getRealmPoolMap()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### id

          public final int id

      Id опции.

    - #### title

          public final java.lang.String title

      Название опции.

    - #### parentId

          public final int parentId

      Id родительской опции.

    - #### config

          public final ParameterMap config

      Конфигурация опции без наследования параметров.

    - #### inheritedConfig

          public final ParameterMap inheritedConfig

      Конфигурация опции с наследованием параметров.

    - #### siblingIds

          public final java.util.Set<java.lang.Integer> siblingIds

    - #### replaceIds

          public final java.util.Set<java.lang.Integer> replaceIds

      Если у родительской опции не стоит режим "пересечение разрешено" (за исключением опций первого уровня), то здесь находятся id всех сиблингов.

    - #### descendantIds

          public final java.util.Set<java.lang.Integer> descendantIds

  - ### Constructor Detail

    - #### InetOptionRuntime

          public InetOptionRuntime(int parentId,
                                   InetOption option,
                                   ParameterMap config,
                                   ParameterMap inheritedConfig,
                                   java.util.Set<java.lang.Integer> siblingIds,
                                   java.util.Set<java.lang.Integer> replaceIds)

  - ### Method Detail

    - #### getParent

          public InetOptionRuntime getParent()

      Родительская опция
      Returns:

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getRealmPoolMap

          public java.util.Map<java.lang.String,java.lang.String> getRealmPoolMap()